diff --git a/boost/property_tree/detail/xml_parser_read_rapidxml.hpp b/boost/property_tree/detail/xml_parser_read_rapidxml.hpp
index d271d5e..02fd14e 100644
--- a/boost/property_tree/detail/xml_parser_read_rapidxml.hpp
+++ b/boost/property_tree/detail/xml_parser_read_rapidxml.hpp
@@ -119,7 +119,7 @@ namespace boost { namespace property_tree { namespace xml_parser
             pt.swap(local);
         } catch (rapidxml::parse_error &e) {
             long line = static_cast<long>(
-                std::count(&v.front(), e.where<Ch>(), Ch('\n')) + 1);
+                std::count(&v.front(), e.BOOST_NESTED_TEMPLATE where<Ch>(), Ch('\n')) + 1);
             BOOST_PROPERTY_TREE_THROW(
                 xml_parser_error(e.what(), filename, line));  
         }
